%global packname  {{ packname }}
{% if (arch == False) %}%global rlibdir  %{_datadir}/R/library
{% else %}%global rlibdir  %{_libdir}/R/library
{% endif %}
Name:             R-%{packname}
Version:          {{version}}
Release:          1
Summary:          {{summary}}
Group:            Sciences/Mathematics
License:          {{license}}
URL:              {{URL}}
Source0:          {{source0}}
{% if (arch == False) %}BuildArch:        noarch
Requires:         R-core
{% endif %}
{% if depends != "" %}Requires:         {{depends}} {% endif %}
{% if imports != "" %}Requires:         {{imports}} {% endif %}
{% if suggests != "" %}Requires:         {{suggests}} {% endif %}
BuildRequires:    R-devel Rmath-devel texlive-collection-latex {{depends}}
{% if imports != "" %}BuildRequires:    {{imports}} {% endif %}
{% if suggests != "" %}BuildRequires:   {{suggests}} {% endif %}
%description
{{description}}

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
{% if (no_check == False) %}
%check
%{_bindir}/R CMD check %{packname}
{% endif %}
%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help

